Plasma aggiornamenti software

Home Page Forum generale Plasma aggiornamenti software

Visualizzazione 10 filoni di risposte
  • Autore
    Articoli
    • #33700
      fredflinstone
      Partecipante

      Ciao !

      Quando clicco sull’ icona di plasma ” aggiornamenti software “, dato che mi vengono segnalati alcuni update il messaggio che appare negli ultimi giorni è questo ” la rete è disconnessa “.
      Se utilizzo da riga di comando ” sudo dnf update ” questa è la risposta :

      ” bash-5.1$ sudo dnf update
      Ultima verifica della scadenza dei metadati: 12:09:34 fa il lun 5 lug 2021, 21:09:43.
      Dipendenze risolte.
      Nessuna operazione da compiere.
      Fatto! ” ….eppure vengono segnalati 3 aggiornamenti.

      Se utilizzo Discover invece gli aggiornamenti vengono regolarmente installati.

      Grazie.

    • #33701
      Silvan
      Amministratore del forum

      Ciao,
      il problema è causato da un aggiornamento di NetworkManager che è stato disponibile alcune ore un paio di settimane fa prima che lo ritirassi in attesa di trovare una soluzione.
      Puoi correggere con il seguente comando:
      sudo dnf downgrade NetworkManager

      • Questa risposta è stata modificata 2 mesi, 2 settimane fa da Silvan.
      • Questa risposta è stata modificata 2 mesi, 2 settimane fa da Silvan.
      • Questa risposta è stata modificata 2 mesi, 2 settimane fa da Silvan.
    • #33705
      fredflinstone
      Partecipante

      Ciao !

      Fatto.

      Grazie.

    • #33706
      fredflinstone
      Partecipante

      Ciao !

      Dopo aver fatto il downgrade di Network manager come indicato, ho notato che non viene più visto l’ adattatore wifi usb netgear AC1200 che prima funzionava benissimo.
      Ho provato a reinstallare i driver ed ho ottenuto la seguente risposta :
      ” bash-5.1$ sudo ./install-driver.sh
      Installing rtl88x2bu-5.8.7.4
      Copying source files to: /usr/src/rtl88x2bu-5.8.7.4
      Copying 88x2bu.conf to: /etc/modprobe.d
      Error! DKMS tree already contains: rtl88x2bu-5.8.7.4
      You cannot add the same module/version combo more than once.
      An error occurred while running: dkms add : 3
      Removing 88x2bu.conf from: /etc/modprobe.d
      Removing source files from: /usr/src/rtl88x2bu-5.8.7.4
      Cleanup complete
      dkms status:
      ndiswrapper, 1.63, 5.4.77mamba-x86_64, x86_64: installedError! Could not locate dkms.conf file.
      File: /var/lib/dkms/rtl88x2bu/5.8.7.4/source/dkms.conf does not exist.

      Grazie.

    • #33707
      Silvan
      Amministratore del forum

      Ciao,
      i messaggi che riporti circa l’installazione manuale del driver rtl88x2bu indicano che l’installazione fallisce perché il driver risulta già installato nella stessa versione per dkms.
      Puoi verificare se riesci prima di reinstallarlo a rimuoverlo con un comando come il seguente:
      sudo dkms remove -m rtl88x2bu -v 5.8.7.4 --all

    • #33708
      fredflinstone
      Partecipante

      Ciao !

      Col comando suggerito la risposta è la seguente :
      ” bash-5.1$ sudo dkms remove -m rtl88x2bu -v 5.8.7.4 –all
      Password:
      Error! Could not locate dkms.conf file.
      File: /var/lib/dkms/rtl88x2bu/5.8.7.4/source/dkms.conf does not exist.”

      Grazie

    • #33709
      Silvan
      Amministratore del forum

      Puoi provare se con –force funziona:
      sudo dkms remove -m rtl88x2bu -v 5.8.7.4 --all

      alrimenti con maniere più drastiche:
      sudo mv /var/lib/dkms/rtl882xbu{,.bak}

      oppure vedere se il driver che stai usando fornisce anche una procedura di disinstallazione.

    • #33710
      fredflinstone
      Partecipante

      Ciao !

      Con il comando suggerito la risposta è questa
      ” bash-5.1$ sudo mv /var/lib/dkms/rtl882xbu{,.bak}
      mv: impossibile eseguire stat di ‘/var/lib/dkms/rtl882xbu’: File o directory non esistente ”

      ” oppure vedere se il driver che stai usando fornisce anche una procedura di disinstallazione ”

      La fornisce e la risposta è questa :

      ” .1$ sudo ./remove-driver.sh
      Error! Could not locate dkms.conf file.
      File: /var/lib/dkms/rtl88x2bu/5.8.7.4/source/dkms.conf does not exist.
      The driver was removed successfully.
      bash-5.1$
      e se reinstallo :

      “bash-5.1$ sudo ./install-driver.sh
      Installing rtl88x2bu-5.8.7.4
      Copying source files to: /usr/src/rtl88x2bu-5.8.7.4
      Copying 88x2bu.conf to: /etc/modprobe.d
      Error! DKMS tree already contains: rtl88x2bu-5.8.7.4
      You cannot add the same module/version combo more than once.
      An error occurred while running: dkms add : 3
      Removing 88x2bu.conf from: /etc/modprobe.d
      Removing source files from: /usr/src/rtl88x2bu-5.8.7.4
      Cleanup complete
      dkms status:
      ndiswrapper, 1.63, 5.4.77mamba-x86_64, x86_64: installedError! Could not locate dkms.conf file.
      File: /var/lib/dkms/rtl88x2bu/5.8.7.4/source/dkms.conf does not exist.”

      Volevo comunicarti inoltre che ho provato con un adattatore usb wifi tp-link, che ha sempre funzionato, e anche lui non è stato riconosciuto da NetworkManager.

      Grazie.

    • #33711
      Silvan
      Amministratore del forum

      Ciao,
      il comando che ti ho scritto, come evidenziato dal messaggio di errore in italiano, deve essere corretto in:
      sudo mv /var/lib/dkms/rtl88x2bu{,.bak}

      Non ritengo come probabile che la causa di questo tipo di problemi dipenda dal downgrade di NetworkManager, quanto piuttosto dagli aggiornamenti fatti successivamente.

      Puoi provare un avvio con il kernel 5.4 che dovresti avere ancora come scelta nel menù di avvio.

      Per quanto riguarda il driver che hai installato manualmente, forse era meglio non provare a reinstallarlo perché questa azione ha creato pasticci con dkms. Ora finché non correggi l’installazione non si può prendere in considerazione.

      Per problemi con altro tipo di wifi funzionante con driver integrato in openmamba serve analizzare un report del sistema generato dopo aver riprodotto il problema.

    • #33712
      Silvan
      Amministratore del forum

      Ciao,
      ho fatto un test del comando di downgrade di NetworkManager e riscontrato che viene installata la libreria associata per i586 anziché per x86_64 e questo può essere un motivo per cui NetworkManager non funziona e nel caso avendo connettività disponibile bisogna integrare il comando con:
      sudo dnf downgrade libnm-1.30.4

    • #33713
      fredflinstone
      Partecipante

      Ciao !

      Col comando suggerito ” sudo dnf downgrade libnm-1.30.4 ” il problema è risolto.

      Grazie.

Visualizzazione 10 filoni di risposte
  • Devi aver eseguito l’accesso per poter rispondere a questa discussione.